> # NAME

> cgGetTypeString - get the type name associated with a type enumerant

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetTypeString( CGtype type );

> # PARAMETERS

> type

>   The type enumerant.

> # RETURN VALUES

> Returns the type string of the enumerant type.

> # DESCRIPTION

> cgGetTypeString returns the type name associated with a type enumerant.

> # EXAMPLES

>       const char *MatrixTypeStr = cgGetTypeString(CG_FLOAT4x4);

>       /* MatrixTypeStr will be "float4x4" */

> # ERRORS

> None.

> # HISTORY

> cgGetTypeString was introduced in Cg 1.1.

> # SEE ALSO

> cgGetType, cgGetParameterType